Skip to main content
GET
/
{alias}
/
public
/
catalog
/
products
/
{productId}
/
discounts
Listar descontos ativos de um produto
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/public/catalog/products/{productId}/discounts
{
  "data": {
    "progressive_discounts": [
      {
        "id": 10,
        "min_value": 0,
        "max_value": 500,
        "percent": 10,
        "min_quantity": 2,
        "discount_type": "amount",
        "accumulate": false,
        "start_at": {
          "date": "2000-08-17 10:24:24",
          "timezone_type": 3,
          "timezone": "America/Sao_Paulo"
        },
        "end_at": {
          "date": "2000-08-17 10:24:24",
          "timezone_type": 3,
          "timezone": "America/Sao_Paulo"
        }
      }
    ],
    "buy_x_get_y": [
      {
        "id": 42,
        "name": "Compre 2 leve 3",
        "entry_condition_type": "quantity",
        "entry_condition_value": 2,
        "discount_method": "percent",
        "discount_value": 100,
        "accumulate": false,
        "start_at": {
          "date": "2000-08-17 10:24:24",
          "timezone_type": 3,
          "timezone": "America/Sao_Paulo"
        },
        "end_at": {
          "date": "2000-08-17 10:24:24",
          "timezone_type": 3,
          "timezone": "America/Sao_Paulo"
        },
        "specification": {
          "cart_usage_limit": 0,
          "get_products_quantity": 1,
          "get_products": {
            "products": [
              {
                "id": 123,
                "name": "<string>",
                "slug": "<string>",
                "image_url": "<string>",
                "price_sale": 123,
                "price_discount": 123
              }
            ],
            "brands": [
              {
                "id": 123,
                "name": "<string>"
              }
            ],
            "categories": [
              {
                "id": 123,
                "name": "<string>"
              }
            ],
            "collections": [
              {
                "id": 123,
                "name": "<string>"
              }
            ]
          }
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.yampi.com.br/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

alias
string
required

Alias da loja

productId
integer
required

ID do produto

Response

200 - application/json

Descontos ativos do produto

data
object